Subject: 28.0.50; Error using calc-degrees-mode with calc-base-units

From: Julien Cubizolles <[email-masked]>
Date: Wed, 17 Jun 2020 21:29:32 +0200

In algebraic mode, with calc-degrees-mode, arctan(ga/(9.8 m/s^2)) gives
0.7857 (close pi/4 radians) instead of 45° as it should. I'm converting
units with calc-base-units, bound to u-b.

Pushing  ga/(9.8 m/s^2), then doing u b and I T gives however 45.

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.18, cairo version 1.16.0) of 2020-06-14 built on lcy01-amd64-003
 Windowing system distributor 'The X.Org Foundation', version
 11.0.12008000 System Description: Ubuntu 20.04 LTS